summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-08-19 22:50:21 +0200
committerHolger Levsen <holger@layer-acht.org>2015-08-19 22:50:21 +0200
commite7a84bb509e0ff9fbd6d0a585177d45db762137d (patch)
tree2b70ae2ef4e637acdea01b3bac717f35aedd1048
parent761373a559d04232e0281d02a17a47d735f87fd2 (diff)
downloadjenkins.debian.net-e7a84bb509e0ff9fbd6d0a585177d45db762137d.tar.xz
reproducible: make it succeed
-rwxr-xr-xbin/reproducible_common.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/reproducible_common.sh b/bin/reproducible_common.sh
index 0f146d4f..e21a5d4d 100755
--- a/bin/reproducible_common.sh
+++ b/bin/reproducible_common.sh
@@ -461,9 +461,14 @@ create_png_from_table() {
# 6 is special too:
WHERE_EXTRA="WHERE suite = '$SUITE' and meta_pkg = '$3'"
fi
+ if [ $1 -eq 0 ] || [ $1 -eq 2 ] ; then
+ # TABLE[0+2] have a architecture column:
+ WHERE_EXTRA="$WHERE_SUITE AND architecture = \"$ARCH\""
+ fi
# run query
if [ $1 -eq 1 ] ; then
# not sure if it's worth to generate the following query...
+ # we ignore the architecture for now here
sqlite3 -init ${INIT} --nullvalue 0 -csv ${PACKAGES_DB} "SELECT s.datum,
COALESCE((SELECT e.reproducible FROM stats_builds_per_day AS e where s.datum=e.datum and suite='testing'),0) as 'reproducible_testing',
COALESCE((SELECT e.reproducible FROM stats_builds_per_day AS e where s.datum=e.datum and suite='unstable'),0) as 'reproducible_unstable',
@@ -502,7 +507,7 @@ create_png_from_table() {
DIR=$(dirname $2)
mkdir -p $DIR
echo "Generating $2."
- /srv/jenkins/bin/make_graph.py ${TABLE[$1]}.csv $2 ${COLORS} "${MAINLABEL[$1]}" "${YLABEL[$1]}"
+ /srv/jenkins/bin/make_graph.py ${TABLE[$1]}.csv $2 ${COLORS} "${MAINLABEL[$1]}" "${YLABEL[$1]}" || true # FIXME we should fail here...
mv $2 $BASE/$DIR
[ "$DIR" = "." ] || rmdir $(dirname $2)
# create empty dummy png if there havent been any results ever